Subject: Re: [bug#54293] [WIP] home: Add home-git-service-type

From: Maxime Devos <[email-masked]>
Date: Mon, 07 Mar 2022 19:04:46 +0100

宋文武 schreef op ma 07-03-2022 om 22:51 [+0800]:
> I can also symlink the generated gitconfig into ~/.gitconfig, but
> with 'GIT_CONFIG_SYSTEM' it can be used together with hand maintained
> ~/.gitconfig.

The GIT_CONFIG_SYSTEM is less stateful, I like it.  There are multiple
variables like these though: GIT_CONFIG_GLOBAL, GIT_CONFIG_SYSTEM and
GIT_CONFIG.  My guess is that GIT_CONFIG_GLOBAL would be appropriate
here.

Greetings,
Maxime.